Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Paramètres de chemin d’accès
id
string
obligatoire
Unique identifier for the evaluation rule.
Réponses
The request has succeeded.
Corps
id
string
obligatoire
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
obligatoire
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
obligatoire
evalId
string
obligatoire
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
obligatoire
templateId
string
obligatoire
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
obligatoire
Filter by agent name.
eventType
string | enum
obligatoire
Type of the evaluation rule event.
enum
enabled
boolean
obligatoire
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
obligatoire
System metadata for the evaluation rule.
Requête
GET /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json